Skip to main content
`Ctrl`+`K`

# MatLMVMSymBroydenGetPhi

Get the phi parameter for a Broyden class quasi-Newton update matrix

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMSymBroydenGetPhi(Mat B, PetscReal *phi)

## Input Parameter

- B - The matrix

## Output Parameter

- phi - a number defining an update that is an affine combination of the BFGS update (phi = 0) and DFP update (phi = 1)

## Note

If `B` does not have a constant value of `phi` for all iterations this will return `phi` = `PETSC_DETERMINE` = -1, a negative value that `phi` cannot attain for a valid general Broyden update. This is the case if `B` is a `MATLMVMSYMBADBROYDEN`, where `phi`’s dual value `psi` is constant and `phi` changes from iteration to iteration.

## See Also

KSP: Linear System Solvers, `MATLMVMSYMBROYDEN`, `MATLMVMSYMBADBROYDEN`, `MATLMVMDFP`, `MATLMVMBFGS`, `MatLMVMSymBroydenSetPhi()`, `MatLMVMSymBadBroydenGetPsi()`, `MatLMVMSymBadBroydenSetPsi()`

## Level

advanced

## Location

src/ksp/ksp/utils/lmvm/symbrdn/symbrdn.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages